/* AlphaFormatter.h
 *
 * You may freely copy, distribute and reuse the code in this example.
 * Apple Computer, Inc. disclaims any warranty of any kind, expressed
 * or implied, as to its fitness for any particular use.
 */

#import <AppKit/AppKit.h>


@interface AlphaFormatter : NSFormatter
{
    NSCharacterSet *set;
    BOOL capitalize;
}

- (void)setCapitalize:(BOOL)flag;
- (BOOL)capitalize;

- (NSString *)stringForObjectValue:(id)anObject;

- (BOOL)getObjectValue:(id *)anObject
forString:(NSString *)string
errorDescription:(NSString **)error;

- (BOOL)isPartialStringValid:(NSString *)partialString
newEditingString:(NSString **)newString
errorDescription:(NSString **)error;

- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;

@end